Subject: Re: Perl Tk in Cygwin (using X)
From: Nick Ing-Simmons <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 09 Oct 2003 12:24:28 +0100

Charles Plager <[email-masked]> writes:
>Hello,
>	I'm not sure if this is a cygwin problem or a Tk problem.  I am trying 
>to build Tk under cygwin.  I did this successfully 5 months ago, but it 
>doesn't work anymore.
>
>1) Is there a fix/work around to this problem?
>2) Is there a place to just download the Tk X binaries for cygwin? Or, 
>can comebody tell me how to use my binaries on another cygwin install?
>
>	Thanks,
>	  Charles
>
>What I did:
>unix> perl -MCPAN -e shell
>CPAN> get Tk
>CPAN> exit
>unix> cd .cpan/build/Tk804.025/
>unix> perl Makefile.PL x
>unix> make
>
>Things start compiling nicely until below.
>
>Note 1: This happens both on my computer and a "brand new" install of 
>cygwin.
>Note 2: Again, I successsfully build Tk with my computer almost 1/2 a 
>year ago.  I haven't uninstalled any libraries.

1/2 a year ago you would have got Tk800.* not Tk804.*
I would like to see Tk804 work too, but if you just need _a_ Tk 
then using Tk800.025.tar.gz may be easier.

>
>---Error Message---
>
>gcc -c  -I.. -I/usr/X11R6/include -I. -Ibitmaps -I/usr/X11R6/include 
>-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -DUSEIMPORTLIB -O3 
>-DVERSION=\"804.025\" -DXS_VERSION=\"804.025\" 
>"-I/usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE"  -U_WIN32 -Wall 
>-Wno-implicit-int -Wno-comment -Wno-unused -D__USE_FIXED_PROTOTYPES__ 
>tixDiITxt.c
>In file included from tixDef.h:23,
>                  from tixDiITxt.c:20:
>default.h:21:29: tkWinDefault.h: No such file or directory

Something #if enabling Win32-isms, but has not caused the Win32
related .h files to be created.

This is a Cygwin porting issue.
I have never had much success with cygwin myself - the Cygwin port 
was done by someone else.

>tixDiITxt.c:141: error: `NORMAL_BG' undeclared here (not in a function)
>tixDiITxt.c:141: error: initializer element is not constant
>tixDiITxt.c:141: error: (near initialization for 

These are likely fall-out from above.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/